aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorKarel Kočí <karel.koci@nic.cz>2018-02-22 10:32:42 +0100
committerKarel Kočí <karel.koci@nic.cz>2018-02-22 10:32:42 +0100
commit548dbd4dd1a7c755caa30d480f2ba07cce517730 (patch)
tree733f590a95fa0222fcb2244b499ca9ab84469232
parentacb34202a5e74bfafcaf5a8ca0e0497f5b520727 (diff)
downloadturris-myrepo-548dbd4dd1a7c755caa30d480f2ba07cce517730.tar.gz
turris-myrepo-548dbd4dd1a7c755caa30d480f2ba07cce517730.tar.bz2
turris-myrepo-548dbd4dd1a7c755caa30d480f2ba07cce517730.zip
Few fixes for myrepo
-rwxr-xr-xbuild_deploy.sh10
-rwxr-xr-xbuild_repo.sh4
-rw-r--r--updater-ng/Makefile2
3 files changed, 10 insertions, 6 deletions
diff --git a/build_deploy.sh b/build_deploy.sh
index 80572d0..d179d76 100755
--- a/build_deploy.sh
+++ b/build_deploy.sh
@@ -2,7 +2,7 @@
cd "$(dirname "$0")"
-./build_repo.sh "$@"
+./build_repo.sh "$@" || exit $?
deploy() {
local TARGET="cynerd.cz:/var/www/myrepo"
@@ -16,5 +16,9 @@ deploy() {
rm $1.lua.sig
}
-[ ! -d repo/omnia ] || deploy omnia
-[ ! -d repo/turris ] || deploy turris
+if [ -d repo/omnia -a -d .omnia-sdk ]; then
+ deploy omnia
+fi
+if [ -d repo/turris -a -d .turris-sdk ]; then
+ deploy omnia
+fi
diff --git a/build_repo.sh b/build_repo.sh
index 52e3bab..c4bcf42 100755
--- a/build_repo.sh
+++ b/build_repo.sh
@@ -106,11 +106,11 @@ fi
if [ "$BOARD" = "omnia" ] || [ "$BOARD" = "all" ]; then
echo -e "\e[1;34mBuilding omnia\e[0m"
- (cd .omnia-sdk; make $@)
+ (cd .omnia-sdk; make "$@")
fi
if [ "$BOARD" = "turris" ] || [ "$BOARD" = "all" ]; then
echo -e "\e[1;34mBuilding turris\e[0m"
- (cd .turris-sdk; make $@)
+ (cd .turris-sdk; make "$@")
fi
diff --git a/updater-ng/Makefile b/updater-ng/Makefile
index 984d4bf..8eea0ee 100644
--- a/updater-ng/Makefile
+++ b/updater-ng/Makefile
@@ -10,7 +10,7 @@ include $(TOPDIR)/rules.mk
PKG_NAME:=updater-ng
PKG_SOURCE_PROTO:=git
PKG_SOURCE_URL:=https://gitlab.labs.nic.cz/turris/updater.git
-PKG_SOURCE_BRANCH:=supervisor
+PKG_SOURCE_BRANCH:=master
PKG_MAINTAINER:=CZ.NIC <packaging@turris.cz>
HOST_BUILD_DEPENDS:=curl/host libevent2/host lua/host